Bug 436605 - defualt ushare configuration file problems
defualt ushare configuration file problems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ushare (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Eric Tanguy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 03:56 EST by Stuart Martin
Modified: 2008-03-13 03:41 EDT (History)
0 users

See Also:
Fixed In Version: 1.1a-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 03:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ushare.conf file with the suggested changes. (1.26 KB, text/plain)
2008-03-08 03:56 EST, Stuart Martin
no flags Details

  None (edit)
Description Stuart Martin 2008-03-08 03:56:52 EST
Description of problem:  Changes to the following lines in the default config
file are not read:

ENABLE_TELNET=
ENABLE_XBOX=
ENABLE_DLNA=


Version-Release number of selected component (if applicable):  1.1a-3.fc8


How reproducible:  Always


Steps to Reproduce:
1. Install ushare
2. Make a non-default setting to one of the above mentioned settings
3. Restart the ushare service


Actual results:  The settings are not read.


Expected results: The settings should be read.


Additional info:  The settings should include "USHARE_" at the beginning, such as:

USHARE_ENABLE_TELNET=
USHARE_ENABLE_XBOX=
USHARE_ENABLE_DLNA=


Also, for consistency with the rest of the settings, "ENABLE_WEB=" should read
"USHARE_ENABLE_WEB=", although the setting works without the leading "USHARE_".


Regards, stoo
Comment 1 Stuart Martin 2008-03-08 03:56:53 EST
Created attachment 297284 [details]
ushare.conf file with the suggested changes.
Comment 2 Stuart Martin 2008-03-08 04:23:33 EST
After more thorough testing, it appears that "ENABLE_WEB=" does require the
leading "USHARE_" in order to be read properly when set to false/no/0.


Regards, stoo
Comment 3 Fedora Update System 2008-03-09 06:39:00 EDT
ushare-1.1a-4.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-13 03:41:07 EDT
ushare-1.1a-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.